Skip to content

# Interface: ConfirmDialogParams

## Hierarchy

- ConfirmDialogBooleanParams

↳ ConfirmDialogParams

## Index

### Properties

- cancel
- cancelButtonProps
- icon
- labelCancel
- labelOk
- message
- ok
- okButtonProps

## Properties

### `Optional` cancel

• cancel? : function

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:16

#### Type declaration:

▸ (): any | Promise‹any›

### `Optional` cancelButtonProps

• cancelButtonProps? : Partial‹ButtonProps›

Inherited from ConfirmDialogParams.cancelButtonProps

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:25

### `Optional` icon

• icon? : ReactNode

Inherited from ConfirmDialogParams.icon

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:23

### `Optional` labelCancel

• labelCancel? : ReactNode

Inherited from ConfirmDialogParams.labelCancel

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:21

### `Optional` labelOk

• labelOk? : ReactNode

Inherited from ConfirmDialogParams.labelOk

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:20

### message

• message: ReactNode

Inherited from ConfirmDialogParams.message

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:22

### `Optional` ok

• ok? : function

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:15

#### Type declaration:

▸ (): any | Promise‹any›

### `Optional` okButtonProps

• okButtonProps? : Partial‹ButtonProps›

Inherited from ConfirmDialogParams.okButtonProps

Defined in src/renderer/components/confirm-dialog/confirm-dialog.tsx:24